<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.remoting.http-connector.security.sasl" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="include-mechanisms,qop,reuse-session,server-auth,strength"/>
        <elem name="addr-params" value="profile,subsystem,http-connector,security"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.remoting"/>
    </annotation>
    <refs>
        <ref feature="subsystem.remoting.http-connector"/>
        <ref feature="subsystem.remoting"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="http-connector" feature-id="true"/>
        <param name="security" feature-id="true" default="sasl"/>
        <param name="qop" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="strength" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="include-mechanisms" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="remoting"/>
        <param name="reuse-session" nillable="true" stability="default"/>
        <param name="server-auth" nillable="true" stability="default"/>
    </params>
</feature-spec>